Part #:CAP400S-C-LH
Long Handle Aluminum Cap
- Female Thread:
- NPSH
- Material:
- Hardcoat Aluminum
- Size:
- 4"
NPSH | Hardcoat Aluminum | 4"
Contact us today to get the right products backed by knowledgeable service.
Showing 1–20 of 90 Results
Part #:CAP400S-C-LH
NPSH | Hardcoat Aluminum | 4"
Part #:CAP600S-C-LH
NPSH | Hardcoat Aluminum | 6"
Part #:PFCW250B
BAT | Polycarbonate | 2-1/2"
Part #:PFCW250Q
QST | Polycarbonate | 2-1/2"
Part #:PFCW250W
WCT | Polycarbonate | 2-1/2"
Part #:RFC250Q
QST | Cast Brass | 2-1/2"
Part #:CAP350SABS
NPSH | Aluminum | 3-1/2"
Part #:IHC250F
NST (NH) | Red Painted Iron | 2-1/2"
Part #:IHC450F
NST (NH) | Red Painted Iron | 4-1/2"
Part #:RFC075
Powhatan | NPSH | Cast Brass | 3/4"
Part #:RFC100
Powhatan | NPSH | Cast Brass | 1"
Part #:RFC100F
Powhatan | NST (NH) | Cast Brass | 1"
Part #:RFC150
Powhatan | NPSH | Cast Brass | 1-1/2"
Part #:RFC150F
Powhatan | NST (NH) | Cast Brass | 1-1/2"
Part #:RFC200
Powhatan | NPSH | Cast Brass | 2"
Part #:RFC250
Powhatan | NPSH | Cast Brass | 2-1/2"
Part #:RFC250F
Powhatan | NST (NH) | Cast Brass | 2-1/2"
Part #:RFC250F-C
Powhatan | NST (NH) | Cast Brass | 2-1/2"
Part #:PFC250F
NST (NH) | 2-1/2"